TencentNavKit

Classes | Typedefs | Enumerations | Functions | Variables
TNKDriveCommonObj.h File Reference
`#import <TencentNavKit/TNKCommonObj.h>`
`#import <TencentNavKit/TNKDriveRouteExplain.h>`
`#import <TencentNavKit/TNKRouteTrafficItem.h>`
`#import <TencentNavKit/TNKSegmentItem.h>`
`#import <TencentNavKit/TNKLocation.h>`

Go to the source code of this file.

## Classes
class | TNKDestinationWalkSceneTips
| 目的地步行场景提示信息 More...
class | TNKNavStartFailInfo
| TNKLocationSourceType. More...
class | TNKDriveRouteSearchOption
| 驾车路径规划算路策略 More...
class | TNKDriveRouteRequest
| 驾车算路请求类 More...
class | TNKDriveRoute
| 算路的路线数据类 More...
class | TNKDriveRouteSearchResult
| 驾车算路返回数据类 More...
class | TNKTruckSearchOption
| 货车导航算路参数. More...
class | TNKMotoSearchOption
| 摩托车导航算路参数. More...
class | TNKForkPoint
| 多路线分歧点信息. More...
class | TNKDriveNavRoute
| 导航过程中的路线实时数据 More...
class | TNKNavCameraInfo
| 导航中前方电子眼信息 More...
class | TNKRestrictionItem
| 交规信息基础类 More...
class | TNKTruckRestrictionItem
| 违反货车规格限制信息 More...
class | TNKTurnRestrictionItem
| 违反交规信息 More...
class | TNKNavRestrictionItem
| 实时交规信息基础类 More...
class | TNKTruckNavRestrictionItem
| 实时违反货车规格限制信息 More...
class | TNKTurnNavRestrictionItem
| 实时违反交规信息 More...
class | TNKNavRestrictionInfo
| 导航中前方交规信息 More...
class | TNKRouteFilterLink
| 被过滤的Link More...
class | TNKCustomRouteReason
class | TNKTrafficLightCountdownMsg
| 红绿灯倒计时信息 More...
class | TNKNavRoadMatchResult
| 巡航道路吸附信息 More...
class | TNKPosMatchLocation
| 巡航定位信息 More...

## Typedefs
typedef enum _TNKDriveRouteSearchErrorCode | TNKDriveRouteSearchErrorCode
| 路线规划的错误码 More...
typedef enum _TNKRoadType | TNKRoadType
| 路段的详细类型 More...
typedef enum _TNKCameraType | TNKCameraType
| 电子眼的类型 More...
typedef enum _TNKTurnRestrictionType | TNKTurnRestrictionType
| 转向禁止类型 More...
typedef enum _TNKTrafficLightType | TNKTrafficLightType
| 红绿灯灯态 More...
typedef enum _TNKSliceType | TNKSliceType
| 分包分片的详细类型 More...
typedef enum _TNKEnergyType | TNKEnergyType
| 能源类型 More...
typedef enum _TNKLocationSourceType | TNKLocationSourceType
typedef enum _TNKRoadMatchStatus | TNKRoadMatchStatus
| 道路吸附结果 More...
typedef enum _TNKTruckType | TNKTruckType
| 货车类型 More...
typedef enum _TNKTruckTrailerType | TNKTruckTrailerType
| 拖挂类型 More...
typedef enum _TNKTruckPlateColor | TNKTruckPlateColor
| 车牌颜色 More...
typedef enum _TNKTruckFunctionType | TNKTruckFunctionType
| 货车用途 More...
typedef enum _TNKEmissionStandard | TNKEmissionStandard
| 排放标准 More...
typedef enum _TNKTruckPassType | TNKTruckPassType
| 通行证类型 More...
typedef enum _TNKTruckRestrictionType | TNKTruckRestrictionType
| 货车限制类型 More...

## Enumerations
enum | _TNKDriveRouteSearchErrorCode { TNKDriveRouteSearchErrorCode_NetworkError = 1001 , TNKDriveRouteSearchErrorCode_NoNetwork = 1002 , TNKDriveRouteSearchErrorCode_RequestTimeOut = 1003 , TNKDriveRouteSearchErrorCode_DataInvalid = 2001 , TNKDriveRouteSearchErrorCode_StartDestPointError = 2002 , TNKDriveRouteSearchErrorCode_WayPointError = 2003 , TNKDriveRouteSearchErrorCode_AdsorptionFailed = 2004 , TNKDriveRouteSearchErrorCode_CalculateFailed = 2005 , TNKDriveRouteSearchErrorCode_InvalidKeyError = 2006 , TNKDriveRouteSearchErrorCode_NavigationParaInvalid = 2007 , TNKDriveRouteSearchErrorCode_ChangeRouteByRouteIDFailed = 2008 , TNKDriveRouteSearchErrorCode_Privacy_Failed = 2009 , TNKDriveRouteSearchErrorCode_ServerError = 2999 }
enum | _TNKRoadType { TNKRoadType_None = 0 , TNKRoadType_Elevated = 1 , TNKRoadType_Downstairs = 2 , TNKRoadType_MainRoad = 3 , TNKRoadType_ServingRoad = 4 , TNKRoadType_DirectionRoad = 5 , TNKRoadType_DownstairsMainRoad = 6 , TNKRoadType_DownstairsServingRoad = 7 }
enum | _TNKCameraType { TNKCameraTypeNone = 0 , TNKCameraTypeRedLight = 1 , TNKCameraTypeElectronicMonitoring = 2 , TNKCameraTypeFixedSpeedTraps = 3 , TNKCameraTypeMobileSpeedZone = 4 , TNKCameraTypeBusOnlyWay = 5 , TNKCameraTypeOneWay = 6 , TNKCameraTypeEmergencyWay = 7 , TNKCameraTypeNoneMotorWay = 8 , TNKCameraTypeQujianEnter = 9 , TNKCameraTypeQujianExit = 10 , TNKCameraTypeHOV = 16 , TNKCameraTypeLaLian = 17 , TNKCameraTypeTailNumber = 21 , TNKCameraTypeGoToBeijing = 22 , TNKCameraTypeIllegalBlow = 23 , TNKCameraTypeBusStation = 24 , TNKCameraTypeForbiddenTure = 30 , TNKCameraTypeForbiddenLine = 31 , TNKCameraTypeForbiddenParking = 32 , TNKCameraTypeLowestSpeed = 33 , TNKCameraTypeAlterableSpeed = 34 , TNKCameraTypeLaneSpeed = 35 , TNKCameraTypeVehicelTypeSpeed = 36 , TNKCameraTypeLaneOccupy = 37 , TNKCameraTypeCrossing = 38 , TNKCameraTypeForbiddenSign = 39 , TNKCameraTypeForbiddenLight = 40 , TNKCameraTypeLifeBelt = 41 , TNKCameraTypeForbiddenCall = 42 , TNKCameraTypeLimitLine = 43 , TNKCameraTypePedestrainFirst = 44 , TNKCameraTypeAnnualInpection = 45 , TNKCameraTypeVehicelExhaust = 46 , TNKCameraTypeTraffic = 47 , TNKCameraTypeEntrance = 48 , TNKCameraTypeForbiddenUTurn = 49 , TNKCameraTypeEtcToll = 50 , TNKCameraTypeNotFollowGuideLane = 51 , TNKCameraTypeTrafficFlowMonitor = 52 , TNKCameraTypeKeepSafeDistance = 53 , TNKCameraTypeIllegalChangeLane = 54 }
enum | _TNKTurnRestrictionType { TNKTurnRestrictionTypeNone = 0 , TNKTurnRestrictionTypeLeft = 1 , TNKTurnRestrictionTypeRight = 2 , TNKTurnRestrictionTypeLeftUTurn = 3 , TNKTurnRestrictionTypeRightUTurn = 4 , TNKTurnRestrictionTypeStraight = 5 }
enum | _TNKTrafficLightType { TNKTrafficLightTypeNone = -1 , TNKTrafficLightTypeRed = 0 , TNKTrafficLightTypeGreen = 1 , TNKTrafficLightTypeYellow = 2 }
enum | _TNKSliceType { TNKSliceTypeNone = 0 , TNKSliceTypeTwo = 1 , TNKSliceTypeThree = 2 , TNKSliceTypeAuto = 9 }
enum | _TNKEnergyType { TNKEnergyTypeUnknown = 0 , TNKEnergyTypeDiesel , TNKEnergyTypeHybird , TNKEnergyTypeElectric , TNKEnergyTypeGas }
enum | _TNKLocationSourceType { lowConf = 0 , gps = 3 , network = 10 , gpsDerived = 12 }
enum | _TNKRoadMatchStatus { TNKRoadMatchStatusNull = -1 , TNKRoadMatchStatusOffRoute = 0 , TNKRoadMatchStatusOnRoute = 1 }
enum | _TNKTruckType { TNKTruckTypeMiniTruck = 1 , TNKTruckTypeLightTruck = 2 , TNKTruckTypeMediumTruck = 3 , TNKTruckTypeHeavyTruck = 4 }
enum | _TNKTruckTrailerType { TNKTruckTrailerTypeUnknown = 0 , TNKTruckTrailerTypeFlatbed , TNKTruckTrailerTypeContainer , TNKTruckTrailerTypeSemi , TNKTruckTrailerTypeFull }
enum | _TNKTruckPlateColor { TNKTruckPlateColorUnknown = 0 , TNKTruckPlateColorBlue , TNKTruckPlateColorYellow , TNKTruckPlateColorBlack , TNKTruckPlateColorWhite , TNKTruckPlateColorGreen , TNKTruckPlateColorYellowGreen }
enum | _TNKTruckFunctionType { TNKTruckFunctionTypeNormal = 0 , TNKTruckFunctionTypeDanger }
enum | _TNKEmissionStandard { TNKEmissionStandardUnknown = 0 , TNKEmissionStandardI , TNKEmissionStandardII , TNKEmissionStandardIII , TNKEmissionStandardIV , TNKEmissionStandardV , TNKEmissionStandardVI }
enum | _TNKTruckPassType { TNKTruckPassTypeNoNeed , TNKTruckPassTypeHave , TNKTruckPassTypeNotHave , TNKTruckPassTypeApproval }
enum | _TNKTruckRestrictionType { TNKTruckRestrictionTypeNone = 0 , TNKTruckRestrictionTypeWidth = 1 , TNKTruckRestrictionTypeHeight = 2 , TNKTruckRestrictionTypeLength = 3 , TNKTruckRestrictionTypeWeight = 4 , TNKTruckRestrictionTypeDanger = 5 }

## Functions
typedef | NS_ENUM (NSInteger, TNKWalkSceneType)
| 步行场景类型 More...
typedef | NS_OPTIONS (NSUInteger, TNKDriveLimitStatus)
| 驾车限行类型 More...

## Variables
NSString *const | TNKDriveRouteSearchErrorDomain
| 路线规划的错误 More...

## Typedef Documentation

## ◆ TNKCameraType

typedef enum _TNKCameraType TNKCameraType

电子眼的类型

## ◆ TNKDriveRouteSearchErrorCode

typedef enum _TNKDriveRouteSearchErrorCode TNKDriveRouteSearchErrorCode

路线规划的错误码

## ◆ TNKEmissionStandard

typedef enum _TNKEmissionStandard TNKEmissionStandard

排放标准

## ◆ TNKEnergyType

typedef enum _TNKEnergyType TNKEnergyType

能源类型

## ◆ TNKLocationSourceType

typedef enum _TNKLocationSourceType TNKLocationSourceType

前序点信号类型 使用location.fusionProvider为int载体。

## ◆ TNKRoadMatchStatus

typedef enum _TNKRoadMatchStatus TNKRoadMatchStatus

道路吸附结果

## ◆ TNKRoadType

typedef enum _TNKRoadType TNKRoadType

路段的详细类型

## ◆ TNKSliceType

typedef enum _TNKSliceType TNKSliceType

分包分片的详细类型

## ◆ TNKTrafficLightType

typedef enum _TNKTrafficLightType TNKTrafficLightType

红绿灯灯态

## ◆ TNKTruckFunctionType

typedef enum _TNKTruckFunctionType TNKTruckFunctionType

货车用途

## ◆ TNKTruckPassType

typedef enum _TNKTruckPassType TNKTruckPassType

通行证类型

## ◆ TNKTruckPlateColor

typedef enum _TNKTruckPlateColor TNKTruckPlateColor

车牌颜色

## ◆ TNKTruckRestrictionType

typedef enum _TNKTruckRestrictionType TNKTruckRestrictionType

货车限制类型

## ◆ TNKTruckTrailerType

typedef enum _TNKTruckTrailerType TNKTruckTrailerType

拖挂类型

## ◆ TNKTruckType

typedef enum _TNKTruckType TNKTruckType

货车类型

## ◆ TNKTurnRestrictionType

typedef enum _TNKTurnRestrictionType TNKTurnRestrictionType

转向禁止类型

## Enumeration Type Documentation

## ◆ _TNKCameraType

enum _TNKCameraType

Enumerator
TNKCameraTypeNone | 无类型
TNKCameraTypeRedLight | 闯红灯照相
TNKCameraTypeElectronicMonitoring | 电子监控
TNKCameraTypeFixedSpeedTraps | 固定测速点
TNKCameraTypeMobileSpeedZone | 移动测速区
TNKCameraTypeBusOnlyWay | 公交
TNKCameraTypeOneWay | 单行
TNKCameraTypeEmergencyWay | 应急
TNKCameraTypeNoneMotorWay | 非机动车
TNKCameraTypeQujianEnter | 区间测速进入点
TNKCameraTypeQujianExit | 区间测速退出点
TNKCameraTypeHOV | 多乘员专用道监控.
TNKCameraTypeLaLian | 拉链通行道路监控.
TNKCameraTypeTailNumber | 尾号限行，
TNKCameraTypeGoToBeijing | 外地车进京监控,
TNKCameraTypeIllegalBlow | 违法鸣笛摄像头
TNKCameraTypeBusStation | 公交车站摄像头
TNKCameraTypeForbiddenTure | 禁止左右转
TNKCameraTypeForbiddenLine | 违反禁止标线
TNKCameraTypeForbiddenParking | 违章停车
TNKCameraTypeLowestSpeed | 超低速
TNKCameraTypeAlterableSpeed | 可变限速
TNKCameraTypeLaneSpeed | 分车道限速
TNKCameraTypeVehicelTypeSpeed | 分车种限速
TNKCameraTypeLaneOccupy | 违章占车道
TNKCameraTypeCrossing | 违章过路口
TNKCameraTypeForbiddenSign | 违反禁令标志
TNKCameraTypeForbiddenLight | 违规用灯
TNKCameraTypeLifeBelt | 不系安全带
TNKCameraTypeForbiddenCall | 开车打手机
TNKCameraTypeLimitLine | 环保限行
TNKCameraTypePedestrainFirst | 礼让行人
TNKCameraTypeAnnualInpection | 车辆未按规定年检
TNKCameraTypeVehicelExhaust | 车辆尾气超标
TNKCameraTypeTraffic | 路况监控
TNKCameraTypeEntrance | 出入口摄像头
TNKCameraTypeForbiddenUTurn | 禁止掉头摄像头
TNKCameraTypeEtcToll | etc收费电子眼
TNKCameraTypeNotFollowGuideLane | 不按导向车道行驶
TNKCameraTypeTrafficFlowMonitor | 流量监控（车流量）
TNKCameraTypeKeepSafeDistance | 保持安全距离
TNKCameraTypeIllegalChangeLane | 违法变道

## ◆ _TNKDriveRouteSearchErrorCode

enum _TNKDriveRouteSearchErrorCode

Enumerator
TNKDriveRouteSearchErrorCode_NetworkError | 网络错误
TNKDriveRouteSearchErrorCode_NoNetwork | 手机无网络
TNKDriveRouteSearchErrorCode_RequestTimeOut | 请求超时
TNKDriveRouteSearchErrorCode_DataInvalid | 返回数据无效
TNKDriveRouteSearchErrorCode_StartDestPointError | 起终点参数错误
TNKDriveRouteSearchErrorCode_WayPointError | 途经点参数错误
TNKDriveRouteSearchErrorCode_AdsorptionFailed | 吸附失败
TNKDriveRouteSearchErrorCode_CalculateFailed | 算路失败
TNKDriveRouteSearchErrorCode_InvalidKeyError | 鉴权失败
TNKDriveRouteSearchErrorCode_NavigationParaInvalid | 点串导航时参数不合法
TNKDriveRouteSearchErrorCode_ChangeRouteByRouteIDFailed | 乘客选路失败
TNKDriveRouteSearchErrorCode_Privacy_Failed | 尚未同意隐私协议
TNKDriveRouteSearchErrorCode_ServerError | 服务器内部错误

## ◆ _TNKEmissionStandard

enum _TNKEmissionStandard

Enumerator
TNKEmissionStandardUnknown | 未知
TNKEmissionStandardI | 国一
TNKEmissionStandardII | 国二
TNKEmissionStandardIII | 国三
TNKEmissionStandardIV | 国四
TNKEmissionStandardV | 国五
TNKEmissionStandardVI | 国六

## ◆ _TNKEnergyType

enum _TNKEnergyType

Enumerator
TNKEnergyTypeUnknown | 未知
TNKEnergyTypeDiesel | 柴油
TNKEnergyTypeHybird | 油电混动
TNKEnergyTypeElectric | 纯电
TNKEnergyTypeGas | 汽油

## ◆ _TNKLocationSourceType

enum _TNKLocationSourceType

前序点信号类型 使用location.fusionProvider为int载体。

Enumerator
lowConf |
gps | 不可信点（默认）
network | GPS.
gpsDerived | 网络点

## ◆ _TNKRoadMatchStatus

enum _TNKRoadMatchStatus

Enumerator
TNKRoadMatchStatusNull | 默认值
TNKRoadMatchStatusOffRoute | 车标脱离
TNKRoadMatchStatusOnRoute | 车标匹配在路上

## ◆ _TNKRoadType

enum _TNKRoadType

Enumerator
TNKRoadType_None | 无详细类型
TNKRoadType_Elevated | 在桥上
TNKRoadType_Downstairs | 在桥下
TNKRoadType_MainRoad | 在主路
TNKRoadType_ServingRoad | 在辅路
TNKRoadType_DirectionRoad | 在对面，初始算路无效
TNKRoadType_DownstairsMainRoad | 在桥下主路
TNKRoadType_DownstairsServingRoad | 在桥下辅路

## ◆ _TNKSliceType

enum _TNKSliceType

Enumerator
TNKSliceTypeNone | 不分片
TNKSliceTypeTwo | 两段
TNKSliceTypeThree | 三段
TNKSliceTypeAuto | 自动

## ◆ _TNKTrafficLightType

enum _TNKTrafficLightType

Enumerator
TNKTrafficLightTypeNone | 无效灯态
TNKTrafficLightTypeRed | 红灯
TNKTrafficLightTypeGreen | 绿灯
TNKTrafficLightTypeYellow | 黄灯

## ◆ _TNKTruckFunctionType

enum _TNKTruckFunctionType

Enumerator
TNKTruckFunctionTypeNormal | 常规
TNKTruckFunctionTypeDanger | 危险品

## ◆ _TNKTruckPassType

enum _TNKTruckPassType

Enumerator
TNKTruckPassTypeNoNeed | 不需要
TNKTruckPassTypeHave | 有通行证
TNKTruckPassTypeNotHave | 无通行证
TNKTruckPassTypeApproval | 预约通行证

## ◆ _TNKTruckPlateColor

enum _TNKTruckPlateColor

Enumerator
TNKTruckPlateColorUnknown | 未知
TNKTruckPlateColorBlue | 蓝色
TNKTruckPlateColorYellow | 黄色
TNKTruckPlateColorBlack | 黑色
TNKTruckPlateColorWhite | 白色
TNKTruckPlateColorGreen | 绿色
TNKTruckPlateColorYellowGreen | 黄绿

## ◆ _TNKTruckRestrictionType

enum _TNKTruckRestrictionType

Enumerator
TNKTruckRestrictionTypeNone | 无限制
TNKTruckRestrictionTypeWidth | 限宽
TNKTruckRestrictionTypeHeight | 限高
TNKTruckRestrictionTypeLength | 限长
TNKTruckRestrictionTypeWeight | 限重
TNKTruckRestrictionTypeDanger | 限制危险品

## ◆ _TNKTruckTrailerType

enum _TNKTruckTrailerType

Enumerator
TNKTruckTrailerTypeUnknown | 未知
TNKTruckTrailerTypeFlatbed | 平板
TNKTruckTrailerTypeContainer | 箱货
TNKTruckTrailerTypeSemi | 半挂
TNKTruckTrailerTypeFull | 全挂

## ◆ _TNKTruckType

enum _TNKTruckType

Enumerator
TNKTruckTypeMiniTruck | 微型车
TNKTruckTypeLightTruck | 轻型车 （默认）
TNKTruckTypeMediumTruck | 中型车
TNKTruckTypeHeavyTruck | 重型车

## ◆ _TNKTurnRestrictionType

enum _TNKTurnRestrictionType

Enumerator
TNKTurnRestrictionTypeNone | 无禁止
TNKTurnRestrictionTypeLeft | 禁止左转
TNKTurnRestrictionTypeRight | 禁止右转
TNKTurnRestrictionTypeLeftUTurn | 禁止左调头
TNKTurnRestrictionTypeRightUTurn | 禁止右调头
TNKTurnRestrictionTypeStraight | 禁止直行

## Function Documentation

## ◆ NS_ENUM()

typedef NS_ENUM | ( | NSInteger | ,
|  | TNKWalkSceneType |
| ) |  |

步行场景类型

< 无步行

< 室内步行

< 室外步行

## ◆ NS_OPTIONS()

typedef NS_OPTIONS | ( | NSUInteger | ,
|  | TNKDriveLimitStatus |
| ) |  |

驾车限行类型

< 没有经过限行区域

< 避开限行区域

< 起点在限行区域

< 终点在限行区域

< 经过限行路段

< 可以绕过限行区域（在未开启避开限行选项时设置）

## Variable Documentation

## ◆ TNKDriveRouteSearchErrorDomain

NSString* const TNKDriveRouteSearchErrorDomain
| extern

路线规划的错误